Loading...
Searching...
No Matches
DB_SmallDcmElmt Struct Reference

this class provides a primitive interface for handling a flat DICOM element, similar to DcmElement, but only for use within the database module More...

## Public Member Functions

| DB_SmallDcmElmt ()
| default constructor

## Public Attributes

DB_SerializedCharPtr | PValueField
| pointer to the value field
Uint32 | ValueLength
| value length in bytes
DB_SerializedTagKey | XTag
| attribute tag

## Private Member Functions

| DB_SmallDcmElmt (const DB_SmallDcmElmt &copy)
| private undefined copy constructor
DB_SmallDcmElmt & | operator= (const DB_SmallDcmElmt &copy)
| private undefined copy assignment operator

## Detailed Description

this class provides a primitive interface for handling a flat DICOM element, similar to DcmElement, but only for use within the database module

## Constructor & Destructor Documentation

## DB_SmallDcmElmt()

DB_SmallDcmElmt::DB_SmallDcmElmt | ( | const DB_SmallDcmElmt & | copy | ) |

private

private undefined copy constructor

Parameters

  copy | documented to avoid doxygen warning

References DB_SmallDcmElmt().

## Member Function Documentation

## operator=()

DB_SmallDcmElmt & DB_SmallDcmElmt::operator= | ( | const DB_SmallDcmElmt & | copy | ) |

private

private undefined copy assignment operator

Parameters

  copy | documented to avoid doxygen warning

References DB_SmallDcmElmt().

The documentation for this struct was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqridx.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0